﻿using PushNotificationService.Models;
using System.Web.Mvc;

namespace PushNotificationService.Controllers
{
    public class NotificationController : Controller
    {
        [HttpPost]
        public void Subscribe(FormCollection parameters)
        {
            var uri = parameters["channelUri"];
            SubscriptionRepository.Add(uri);
        }

        [HttpPost]
        public void Unsubscribe(FormCollection parameters)
        {
            var uri = parameters["channelUri"];
            SubscriptionRepository.Remove(uri);
        }
    }
}
