﻿using System;
using System.Text;
using System.Web.Mvc;
using System.Xml;

namespace TileService.Controllers
{
    public class TilesController : Controller
    {
        public ActionResult GetTile()
        {
            string tileMessage =
                "<tile>" +
                    "<visual>" +
                        "<binding template='TileWideText01'>" +
                            "<text id='1'>Hallo vom Server!</text>" +
                        "</binding>" +
                        "<binding template='TileSquareText01'>" +
                              "<text id='1'>Hallo vom Server!</text>" +
                        "</binding>" +
                    "</visual>" +
                "</tile>";

            XmlDocument document = new XmlDocument();
            document.LoadXml(tileMessage);

            this.Response.AddHeader("X-WNS-Tag", "HelloMessage");
            this.Response.AddHeader("X-WNS-Expires",
                DateTime.UtcNow.AddMinutes(30).ToString("r"));

            return new ContentResult()
            {
                Content = document.InnerXml,
                ContentEncoding = Encoding.UTF8,
                ContentType = "text/xml"
            };
        }
    }
}
