﻿using System.Collections.ObjectModel;
using Windows.UI.Xaml.Controls;

namespace DataTemplateSelectorDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            var list = new ObservableCollection<Person>()
            {
              new Person { FirstName = "Bob", LastName = "Stevens", Gender = Gender.Male },
              new Person { FirstName = "Bill", LastName = "Winding", Gender = Gender.Male },
              new Person { FirstName = "Mary", LastName = "Holden", Gender = Gender.Female },
              new Person { FirstName = "Ann", LastName = "Friedman", Gender = Gender.Female }
            };
            this.DataContext = list;
        }
    }
}
