﻿using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace DataTemplateSelectorDemo
{
    public class PersonTemplateSelector : DataTemplateSelector
    {
        protected override DataTemplate SelectTemplateCore(object item, DependencyObject container)
        {
            var p = item as Person;
            if (p != null)
            {
                if (p.Gender == Gender.Male)
                    return App.Current.Resources["maleTemplate"] as DataTemplate;
                else if (p.Gender == Gender.Female)
                    return App.Current.Resources["femaleTemplate"] as DataTemplate;
            }
            return base.SelectTemplateCore(item, container);
        }
    }
}
