﻿using System;
using System.ComponentModel;

namespace ObjectBindingDemo
{
    public class Person : ModelBase
    {
        private string _firstName;
        private string _lastName;
        private DateTime _birthday;

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; this.OnPropertyChanged(); }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; this.OnPropertyChanged(); }
        }

        public DateTime Birthday
        {
            get { return _birthday; }
            set { _birthday = value; this.OnPropertyChanged(); }
        }
    }
}
