﻿using MVVMDemo.Data;
using Neumann.MVVMHelpers;
using Windows.UI.Xaml.Navigation;

namespace MVVMDemo.ViewModels
{
    public class SplitViewModel : DetailsViewModelBase
    {
        private SampleDataGroup _currentGroup;

        protected override void OnNavigatedTo(object sender, NavigationEventArgs e)
        {
            this.CurrentGroup = e.Parameter as SampleDataGroup;
            this.ProvideCollectionView(this.CurrentGroup.Items);
        }
        
        public SampleDataGroup CurrentGroup
        {
            get { return _currentGroup; }
            set { this.SetProperty<SampleDataGroup>(ref _currentGroup, value); }
        }
    }
}
