﻿using System;
using System.ServiceModel;
using System.Collections.Generic;

namespace PersonService
{
    [ServiceContract]
    public interface IPersonService
    {
        [OperationContract]
        IEnumerable<Person> GetPersons();

        [OperationContract]
        Person GetPerson(int id);

        [OperationContract]
        Person InsertPerson(Person person);
        
        [OperationContract]
        Person UpdatePerson(Person person);

        [OperationContract(IsOneWay=true)]
        void DeletePerson(int id);
    }
}
