﻿using System;
using Windows.Foundation;
using Windows.Storage;
using Windows.Storage.Streams;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

namespace ImageResourceLoadingDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            var uri = new Uri("ms-appx:///Assets/Logo.png");
            var file = await StorageFile.GetFileFromApplicationUriAsync(uri);
            BitmapImage bitmapImage = new BitmapImage();
            IRandomAccessStream stream = await file.OpenAsync(FileAccessMode.Read);
            bitmapImage.SetSource(stream);
            this.image1.Source = bitmapImage;
        }
    }
}
