﻿using System.Collections.ObjectModel;
using Windows.UI;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace ItemsControlBasicFeaturesDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.collectionViewSource.Source = new ObservableCollection<Person>()
            {
                new Person { Name = "Peter" },
                new Person { Name = "Marie" },
                new Person { Name = "Hans" },
                new Person { Name = "Gunnar" },
                new Person { Name = "Julia" },
                new Person { Name = "Ilja" },
                new Person { Name = "Anna" },
            };
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }

    public class Person
    {
        public string Name { get; set; }
    }
}
