﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace ProgressControlsDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            
            var timer = new DispatcherTimer();
            timer.Interval = new TimeSpan(0, 0, 1);
            timer.Tick += this.OnTick;
            timer.Start();
        }

        private void OnTick(object sender, object e)
        {
            if (this.progressBar1.Value < this.progressBar2.Maximum)
                this.progressBar1.Value += 1;
            else
                this.progressBar1.Value = 1;
        }
    }
}
