﻿using System;
using Windows.UI.Xaml.Data;

namespace ComboBoxBindingDemo
{
    public class EnumToBoolConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            return value.ToString().Equals(parameter.ToString(), StringComparison.CurrentCultureIgnoreCase);
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if ((bool)value)
                return Enum.Parse(typeof(Gender), parameter.ToString(), true);
            return null;
        }
    }
}
