﻿using System;
using System.ComponentModel;

namespace ListBindingDemo
{
    public class Person : ModelBase
    {
        private string _firstName;
        private string _lastName;
        private DateTime _birthday;
        private Gender _gender;

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; this.OnPropertyChanged(); }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; this.OnPropertyChanged(); }
        }

        public DateTime Birthday
        {
            get { return _birthday; }
            set { _birthday = value; this.OnPropertyChanged(); }
        }

        public Gender Gender
        {
            get { return _gender; }
            set { _gender = value; }
        }
    }

    public enum Gender
    {
        Male,
        Female
    }
}
