﻿using System.Linq;
using System.Collections.Generic;
using ListViewGroupingDemo.Model;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;

namespace ListViewGroupingDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            
            var groups = new List<PersonGroup>()
            {
                new PersonGroup { Name = "Freunde" },
                new PersonGroup { Name = "Kollegen" },
                new PersonGroup { Name = "Sonstige" }
            };
            groups[0].Add(new Person { Name = "Peter" });
            groups[0].Add(new Person { Name = "Stefan" });
            groups[1].Add(new Person { Name = "Werner" });
            groups[1].Add(new Person { Name = "Anna" });
            groups[2].Add(new Person { Name = "Carsten" });
            groups[2].Add(new Person { Name = "Marie" });

            var viewSource = new CollectionViewSource();
            viewSource.Source = groups;
            viewSource.IsSourceGrouped = true;
            this.DataContext = viewSource;
        }
    }
}
