﻿using System;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace RadioButtonBindingDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.DataContext = new Person
            {
                FirstName = "Bob",
                LastName = "Stevens",
                Gender = Gender.Male
            };
        }

        private async void showButton_Click(object sender, RoutedEventArgs e)
        {
            var p = this.DataContext as Person;
            await new MessageDialog(string.Format("Name:\t\t{0} {1}\nGeschlecht:\t{2}",
                p.FirstName, p.LastName, (p.Gender == Gender.Male) ? "Mann" : "Frau")).ShowAsync();
        }
    }
}
